KDE 4.9 PyKDE API Reference

- KDE's Python API

# Event Class Reference

`from PyKDE4.kparts import *`

Inherits: QEvent
Subclasses: KParts.OpenUrlEvent, KParts.GUIActivateEvent, KParts.PartActivateEvent, KParts.PartSelectEvent
Namespace: KParts

## Detailed Description

Base class for all KParts events.

## Methods

| __init__ (self, QString eventName)
| __init__ (self, KParts.Event other)
QString | eventName (self)

## Static Methods

bool | test (QEvent event)
bool | test (QEvent event, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QString | eventName
| ) |  |  |

__init__ | ( | self, |
|  | KParts.Event | other
| ) |  |  |

QString eventName | ( |  | self ) |

## Static Method Documentation

bool test | ( | QEvent | event
| ) |  |  |

bool test | ( | QEvent | event,
|  | QString | name
| ) |  |  |